%define majver %(echo %version | cut -d. -f 1-2)
%define libver 4.0

Name:          libgtkhtml
Version:       4.10.0
Release:       1mamba
Summary:       A lightweight HTML rendering/printing/editing engine
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnome.org
Source:        http://ftp.gnome.org/pub/GNOME/sources/gtkhtml/%{majver}/gtkhtml-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libatk-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libcairo-devel
BuildRequires: libgail-devel
BuildRequires: libglade-devel
BuildRequires: libglib-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libgnomeui-devel
BuildRequires: libgnome-vfs-devel
BuildRequires: libgtk-devel
BuildRequires: libICE-devel
BuildRequires: libpango-devel
BuildRequires: libpopt-devel
BuildRequires: libSM-devel
BuildRequires: libxml2-devel
BuildRequires: ORBit2-devel
## AUTOBUILDREQ-END
BuildRequires: intltool
BuildRequires: perl-XML-Parser
BuildRequires: gettext-devel
BuildRequires: pkgconfig
BuildRequires: libtasn1-devel
Provides:      gtkhtml = %{?epoch:%epoch:}%{version}-%{release}

%description
GtkHTML is a lightweight HTML rendering/printing/editing engine.
It was originally based on KHTMLW, but is now being developed independently of it.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Provides:      gtkhtml-devel = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GtkHTML is a lightweight HTML rendering/printing/editing engine.
It was originally based on KHTMLW, but is now being developed independently of it.

This package contains static libraries and header files need for development.

%prep
%setup -q -n gtkhtml-%{version}

%build
%configure \
   --enable-file-chooser \
   --enable-static \
   --disable-deprecated-warning-flags

export tagname=CC
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%find_lang gtkhtml-%{libver}

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f gtkhtml-%{libver}.lang
%defattr(-,root,root)
%{_libdir}/libgtkhtml-%{libver}.so.*
%{_libdir}/libgtkhtml-editor-%{libver}.so.*
%{_datadir}/gtkhtml-%{libver}/
%doc AUTHORS BUGS COPYING COPYING.LIB ChangeLog NEWS README TODO

%files devel
%defattr(-,root,root)
%{_bindir}/gtkhtml-editor-test
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libgtkhtml-%{libver}.pc
%{_libdir}/pkgconfig/gtkhtml-editor-%{libver}.pc
%{_includedir}/libgtkhtml-%{libver}/

%changelog
* Sat Mar 13 2021 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Sun Nov 09 2014 Automatic Build System <autodist@mambasoft.it> 4.8.5-1mamba
- automatic update by autodist

* Mon Aug 11 2014 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Mon Jul 14 2014 Automatic Build System <autodist@mambasoft.it> 4.8.3-1mamba
- automatic version update by autodist

* Mon Jun 09 2014 Automatic Build System <autodist@mambasoft.it> 4.8.2-1mamba
- automatic version update by autodist

* Fri May 02 2014 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Mon Mar 24 2014 Automatic Build System <autodist@mambasoft.it> 4.8.0-1mamba
- automatic version update by autodist

* Wed Jul 24 2013 Automatic Build System <autodist@mambasoft.it> 4.6.6-1mamba
- automatic update by autodist

* Sun May 12 2013 Automatic Build System <autodist@mambasoft.it> 4.6.5-1mamba
- automatic version update by autodist

* Mon Feb 18 2013 Automatic Build System <autodist@mambasoft.it> 4.6.4-1mamba
- automatic version update by autodist

* Sun Feb 03 2013 Automatic Build System <autodist@mambasoft.it> 4.6.3-1mamba
- automatic version update by autodist

* Sun Jan 20 2013 Automatic Build System <autodist@mambasoft.it> 4.6.2-1mamba
- automatic version update by autodist

* Sun Nov 11 2012 Automatic Build System <autodist@mambasoft.it> 4.6.1-1mamba
- automatic version update by autodist

* Fri Oct 05 2012 Automatic Build System <autodist@mambasoft.it> 4.6.0-1mamba
- automatic version update by autodist

* Tue Aug 07 2012 Automatic Build System <autodist@mambasoft.it> 4.2.3-1mamba
- automatic version update by autodist

* Mon Nov 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.1-1mamba
- update to 4.2.1

* Mon Oct 03 2011 Automatic Build System <autodist@mambasoft.it> 4.0.2-1mamba
- automatic version update by autodist

* Mon Jul 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.1-1mamba
- update to 4.0.1

* Thu Feb 10 2011 Automatic Build System <autodist@mambasoft.it> 3.32.2-1mamba
- automatic update by autodist

* Mon Nov 22 2010 Automatic Build System <autodist@mambasoft.it> 3.32.1-1mamba
- automatic update by autodist

* Mon Nov 08 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.32.0-1mamba
- update to 3.32.0

* Sat Aug 21 2010 Automatic Build System <autodist@mambasoft.it> 3.30.3-1mamba
- automatic update by autodist

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 3.30.2-1mamba
- automatic update by autodist

* Thu May 13 2010 Automatic Build System <autodist@mambasoft.it> 3.30.1-1mamba
- automatic update to 3.30.1 by autodist

* Tue Jan 26 2010 Automatic Build System <autodist@mambasoft.it> 3.28.2-1mamba
- automatic update by autodist

* Sat Oct 24 2009 Automatic Build System <autodist@mambasoft.it> 3.28.1-1mamba
- automatic update by autodist

* Thu Oct 08 2009 Automatic Build System <autodist@mambasoft.it> 3.28.0-1mamba
- automatic update to 3.28.0 by autodist

* Mon Jul 06 2009 Automatic Build System <autodist@mambasoft.it> 3.26.3-1mamba
- automatic update by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 3.26.2-1mamba
- automatic update by autodist

* Sat Apr 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.26.1.1-1mamba
- automatic update by autodist

* Mon Mar 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.26.0-1mamba
- update to 3.26.0

* Tue Mar 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.24.5-1mamba
- automatic update by autodist

* Tue Jan 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.24.2-1mamba
- automatic update by autodist

* Sun Sep 28 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.24.0-1mamba
- update to 3.24.0

* Fri Apr 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.18.1-1mamba
- update to 3.18.1

* Sun Sep 16 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.14.3-1mamba
- update to 3.14.3

* Thu Jan 11 2007 Davide Madrisan <davide.madrisan@qilinux.it> 3.12.2-2qilnx
- package renamed to libgtkhtml3

* Wed Jan 10 2007 Davide Madrisan <davide.madrisan@qilinux.it> 3.12.2-1qilnx
- update to version 3.12.2 by autospec
- updated specfile to permit automatic building
- obsolete libgtkhtml

* Sun Sep 17 2006 Tiziano Pratellesi <info@mycare.it> 3.12.0-1qilnx
- package created by autospec
